Bug 770286 - Provide native systemd service
Provide native systemd service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cyphesis (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Preisler
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 751869
  Show dependency treegraph
 
Reported: 2011-12-25 11:15 EST by Jóhann B. Guðmundsson
Modified: 2014-05-26 05:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 05:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2011-12-25 11:15:38 EST
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-01-12 11:14:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Gwyn Ciesla 2012-05-15 09:14:04 EDT
Martin, any objection to my making this change?
Comment 3 Martin Preisler 2012-05-15 09:57:20 EDT
Would be great, no objections at all! I just haven't gotten to it yet.

So far I have only talked to upstream whether they want systemd support there. The outcome is that for now this should stay downstream.
Comment 4 Gwyn Ciesla 2012-05-15 12:01:25 EDT
Cool, one other concern.  This requires postgresql-server, and the init script patch assumes that the DB is local.  Would it not be better to decouple the two, to both simplify packaging and allow a remote DB?
Comment 5 Martin Preisler 2012-05-16 02:30:07 EDT
Yeah, it certainly would.

I am not the author of the init script, so I am not sure what the reasoning was. Perhaps there are some hidden problems there.
Comment 6 Fedora End Of Life 2013-04-03 12:24:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Jóhann B. Guðmundsson 2014-05-26 05:43:51 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.